@font-face {
    font-family: 'Kumbh Sans';
    src: url('../fonts/Kumbh_Sans/KumbhSans-VariableFont_YOPQ,wght.ttf');
}

html,body {
	/* min-height: 500vh; */
	margin: 0;
	background: #fff;
	overflow-x: hidden;
	position: relative;
}

body {
	margin-top: 0px;
	display: flex;
	background: var(--color-primary);
	color: var(--font-color);
	flex-direction: column;
	/* font-family: PT Sans Caption; */
	font-family: 'Kumbh Sans', sans-serif;

	--color-primary: rgba(255,255,255,.9);
	--color-primary-button: rgba(255,255,255,.75);
	--color-headers: rgba(9, 48, 92, .9);
	--color-subheaders: rgba(182, 193, 207, .8);
	--color-accent: rgba(9, 48, 92,.5);
	--color-footer: rgba(41, 80, 125, .95);
	--color-header: rgba(0,100,255,.75);
	--font-color: rgba(9, 48, 92, .9);
	--navbar-color: rgba(255,255,255,.9);

}

	#banner, #content {
		padding-top: 75px;
	}
	
	/***	HOMEPAGE	*/
	#homepage {
			/* The image used */
			background-image: url("/img/homepage-bg.png");
			/* Full height */
			min-height: 100vh;
			
			/* Create the parallax scrolling effect */
			background-attachment: fixed;
			background-position: center;
			background-repeat: no-repeat;
			background-size: cover;

			padding-top: 75px;
		}
	.homepage-logo {
		position:absolute;
		top: 50vh;
		padding: 0;
			padding-left: 5%;
			padding-right: 5%;
			text-align: center;
		}

	.homepage-text {
			/* color: white;
			font-weight: bold;
			border: 3px solid #f1f1f1; */
			/* position: relative; */
			/* top: 40vh; */
			/* right: 5%; */
			/* transform: translate(-50%, -50%); */
			/* z-index: 2; */
			/* width: 90%; */
			/* height: 200px; */
			padding: 20px;
			position: relative;
			top: 25vh;

			/* padding-top: 7.5vh; */
			padding-right: 5%;
			text-align: right;
		}


	/***	MOJE NEJ	*/
	#ceny {
		/* The image used */
		background-image: url('/img/price-bg.png');
	
		/* Full height */
		min-height: 100vh; 
	
		/* Create the parallax scrolling effect */
		background-attachment: fixed;
		background-position: center;
		background-repeat: no-repeat;
		background-size: cover;

		padding-top: 75px;
	}
	.price-text {
		color: white;
		font-weight: bold;
		border: 5px solid #f1f1f1;
		border-radius: 15px;
		z-index: 2;
		padding: 25px;
		/* text-align: right; */
		background-color:rgba(0,0,0,.25);
		margin-top: 10%;
		margin-right: 20px;
		margin-left: 20px;
	}

	div.price-text > p {
		color: white;
	}
	div.moje-inside-box > ul, div.moje-inside-box > li {
		color: white;
	}

	/***	MOJE NEJ	*/
	#moje {
		/* The image used */
		/* background-image: url('/img/kontakt-bg.png'); */
	
		/* Full height */
		min-height: 55vh; 
	
		/* Create the parallax scrolling effect */
		background-attachment: fixed;
		background-position: center;
		background-repeat: no-repeat;
		background-size: cover;
		background-color: var(--color-footer);

		padding-top: 75px;
	}

	.moje-box {
		background-color: rgba(9,48,92,0.15);
		color: var(--color-primary);
		border-radius: 5px;
		border: 1px solid #000;
		padding: 5px;
		margin-top: 0px;
		margin-bottom: 15px;
		margin-left: 7.5px;
		margin-right: 7.5px;
		display: block;
		flex: auto;
	}
	.moje-inside-box {
		padding: 10px 15px 0px 15px;
		display: block;
		flex: auto;
	}
	h3.moje {
		color: var(--color-primary-button);
		padding: 15px 0 0 15px;
		font-size: 2.1rem;
	}
	p.moje {
		color: var(--color-primary);
	}

	/***	MOJE PRAXE	*/
	#praxe {
		/* The image used */
		/* background-image: url('/img/kontakt-bg.png'); */
	
		/* Full height */
		min-height: 55vh; 
	
		/* Create the parallax scrolling effect */
		background-attachment: fixed;
		background-position: center;
		background-repeat: no-repeat;
		background-size: cover;
		background-color: var(--color-footer);

		padding-top: 75px;
	}
	
	/***	KONTAKT	*/
	#kontakt {
		padding-top: 75px;
	}
	.kontakt-box {
		color: #000;
		border-radius: 5px;
		border: 0.5px solid #000;
		padding: 50px;
		background: var(--navbar-color);
	}
	.kontakt-text {
		color: #000;
	}
	.my-btn {
		color: rgb(77, 133, 255, 0.9);
		border-color: rgb(77, 133, 255, 0.9);
	}

	/***	REFERENCE	*/
	#reference {
		min-height: 55vh; 
		padding-top: 75px;
	}
	.reference-text {
		padding-left: 50px;
		padding-right: 50px;
	}

	/***	FOOTER		*/
	p.footer {
		font-size: 1rem;
	}	

	/*** ODDĚLOVAČ	*/
	.divide {
		overflow: hidden;
		display: inline;
		transform: skewY(2deg);
		height:50px;
		background-color: rgba(255,255,255,.25);
	}

ul, li, a {
	text-decoration: none;
	list-style: none;
}

a {
	opacity: 75%;
}

a:hover {
	opacity: 100%;
}

li.list {
	text-decoration: none;
	list-style: square;
	padding-bottom: 0.75em;
	padding-top: 0.75em;
}

li.list.price {
	color: white;
	list-style: disclosure-closed;
}

/**	SLIDES - RECENZE */
.slideshow-container {
	position: relative;
	background: #f1f1f1f1;
	border-radius: 15px 15px 0 0;
	min-height: 40vh;
	}

	/* Slides */
	.mySlide {
	display: none;
	padding: 80px;
	text-align: center;
	}

	/* Next & previous buttons */
	.prev, .next {
	cursor: pointer;
	position: absolute;
	top: 50%;
	width: auto;
	margin-top: -30px;
	padding: 16px;
	color: #888;
	font-weight: bold;
	font-size: 20px;
	border-radius: 0 3px 3px 0;
	user-select: none;
	}

	/* Position the "next button" to the right */
	.next {
	position: absolute;
	right: 0;
	border-radius: 3px 0 0 3px;
	}

	/* On hover, add a black background color with a little bit see-through */
	.prev:hover, .next:hover {
	background-color: rgba(0,0,0,0.8);
	color: white;
	}

	q {
		font-style: italic;
	}
	/* The dot/bullet/indicator container */
	.dot-container {
		text-align: center;
		padding: 20px;
		background: #ddd;
		border-radius: 0 0 15px 15px;
	}

	/* The dots/bullets/indicators */
	.dot {
	cursor: pointer;
	height: 15px;
	width: 15px;
	margin: 0 2px;
	background-color: #bbb;
	border-radius: 50%;
	display: inline-block;
	transition: background-color 0.6s ease;
	}

	/* Add a background color to the active dot/circle */
	span.active, span.dot:hover {
	background-color: #717171;
	}

h1 {
	color: var(--color-headers);
	margin-left: 15px;
	margin-top: 10px;
	font-size: 2.5rem
}
h2, h3 {
	color: var(--color-headers);
}
p, table, th, tr, td, ul, a {
	color: var(--color-primary);
	font-size: 1.25rem;
}

.nav-link {
	color: var(--color-headers);
}
.nav-link.active {
	color: var(--color-headers);
	font-weight: bold;
}
.nav-link:hover {
	color: var(--color-accent);
}

.navbar {
	background-color: var(--navbar-color);
}

pre {
	max-height: 150px;
}

a[href^="#error:"] {
	background: red;
	color: white;
}

form .required label {
	font-weight: bold;
}

.thumbnail {
	border: 3px solid rgba(51, 122, 183, 0.08)!important
}

.thumbnail:hover {
	border: 3px solid rgba(51, 122, 183, 0.8)!important
}

.gallery {
	object-fit: cover;
	width:250px!important;
	height:200px!important;
}

footer {
	/* position: sticky; */
	bottom: 0px;
	width: 100%;
	background-color: var(--color-footer);
	color: var(--color-primary);
	padding: 15px;
	margin-top: 50px;
	min-height: 150px;
}

.error {
	text-align: center;
	vertical-align: center;
	background-color: rgba(255,0,0,0.1);
	color: rgb(255,0,0);
	font-weight: bold;
	font-size: 1.5em;
	min-height: 1.5em;
	max-width: 500px;
}

.small-square {
	width: 25px;
	height: 25px;
}

.o:hover {
	visibility: visible;
	color: rgba(51, 122, 183, 0.6);
}

.loader {
	position: fixed;
	top: 50%;
	left: 50%;
	visibility: hidden;
	z-index: 1000;

	border: 10px solid rgba(51, 122, 183, 0.09);
	border-top: 10px solid rgba(51, 122, 183, 0.8);
	border-right: 10px solid rgba(51, 122, 183, 0.6);
	border-bottom: 10px solid rgba(51, 122, 183, 0.4);
	border-left: 10px solid rgba(51, 122, 183, 0.2);
	border-radius: 50%;
	width: 50px;
	height: 50px;
	animation: spin 0.25s linear infinite;
}

.frame {
	position: fixed;
	top: 15%;
	left: 15%;
	visibility: hidden;
	z-index: 999;
	overflow: auto;

	border: 10px solid rgba(51, 122, 183, 0.05);
	width: 70%;
	height: 70%;
	background-color: rgba(255, 255, 255, 1);
}

.whisperBox {
	position: absolute;
	top: 35px;
	left: 0px;
	visibility: hidden;
	z-index: 800;
	overflow: auto;
	display: block;
	max-height: 350px;

	margin: 2.5px;
	padding: 0px;

	border: 2px solid rgba(51, 122, 183, 0.09);
	width: 100% !important;

	background-color: rgba(0, 136, 255, 0.5);
	color: black;
}

.whisperLine {
	width: 100%;
	display: table;
	table-layout: fixed;
	margin: 0;
	padding: 0;
	padding-left: 10px;
	list-style: none;
	font-size: 14px;
	line-height: 250%;

	background: rgba(255, 255, 255, 0.85);
	border-top-width: 1px;
	border-top-width: .07142857142857142rem;
	border-top-style: solid;
	border-top-color: rgba(0, 136, 255, 0.4);
	-webkit-transition: background .4s;
	transition: background .4s;

	color: black;
}

.whisperLine:hover {
	background-color: rgba(0, 136, 255, 0.801);
	color: white!important;
	text-decoration: none!important;
	cursor: pointer;
}


.whisperLineButton {
	opacity: 0.25;
}

.whisperLineButton:hover {
	opacity: 1;
	color: white!important;
	text-decoration: none!important;
	cursor: pointer;
}

.refreshPreview:hover {
	color: rgba(0, 136, 255, 0.801);
	transition:  .4s;
	text-decoration: none!important;
	cursor: pointer;

}

.frame-overlay {
	position: fixed;
	top: 0;
	left: 0;
	visibility: hidden;
	z-index: 998;
	display: block;

	width: 100%;
	height: 100%;
	background-color: black;
	opacity: 0.75;
}

@keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}

/* STYLE.css */
.btn-close {
	position: relative;
	color: inherit;
	float: right;
}

.alert-dismissible {
	position: absolute;
	top: 100px;
	right: 25px;
	width: 200px;
}

/* .content {
	min-height: 500px;
} */

.search {
		color: black;
}

.btn {
	font-weight: bold;
}

/* The switch - the box around the slider */
.theme-switch {
	position: fixed;
	left: 15px;
	bottom: 15px;
	display: inline-block;
	/* width: 50px; */
	height: 25px;
}

/* Hide default HTML checkbox */
.theme-switch input {
	opacity: 0;
	width: 0;
	height: 0;
}
/*	\\//		SLIDER		 \\//	 */

	/* The slider */
	.slider {
		position: absolute;
		cursor: pointer;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: var(--color-primary-button);
		-webkit-transition: 0.4s;
		transition: 0.4s;
	}

	.slider:before {
		position: absolute;
		content: "";
		height: 24px;
		width: 24px;
		left: 0px;
		bottom: 4px;
		top: 0;
		bottom: 0;
		margin: auto 0;
		-webkit-transition: 0.4s;
		transition: 0.4s;
		box-shadow: 0 0px 15px var(--color-header);
		background-color: white;/*var(--color-primary-button);*/
		opacity:0.8;
		background-repeat: no-repeat;
		background-position: center;
	}

	input:checked + .slider {
		background-color: var(--color-primary-button);
	}

	input:hover + .slider {
		box-shadow: 0 0 1px var(--color-accent);
		background-color: var(--font-color);
	}

	input:checked + .slider:before {
		-webkit-transform: translateX(24px);
		-ms-transform: translateX(24px);
		transform: translateX(24px);
		background-color: var(--font-color);
		background-repeat: no-repeat;
		background-position: center;
	}

	/* Rounded sliders */
	.slider.round {
		border-radius: 24px;
	}

	.slider.round:before {
		border-radius: 50%;
	}

/*	//\\		SLIDER		 //\\ */

.product-picture {
	display: block;
	object-fit: cover;
	margin-right: auto;
	margin-left: auto;
	max-width: 100%;
	max-height: 400px;

	/* height: 220px; */
	/* width: 200px; */
}
.edit-button {
	color: rgb(77, 133, 255, 0.9);
	border-color: rgb(77, 133, 255, 0.9);
	/* background: blanchedalmond; */
	/* font-size: .5em; */
}
.edit-button:hover {
	background-color: rgba(77, 133, 255, 0.9);
	border-color: rgb(22, 96, 255, 0.9);
}


/*	NAVBAR */

.navbar-sub {
	background-color: var(--color-accent);
}

.navbar-main {
	background-color: var(--color-accent);
}

.loader {
	position: fixed;
	top: 50%;
	left: 50%;
	display: none;
	z-index: 1000;

	border: 10px solid rgba(51, 122, 183, 0.09);
	border-top: 10px solid rgba(51, 122, 183, 0.8);
	border-right: 10px solid rgba(51, 122, 183, 0.6);
	border-bottom: 10px solid rgba(51, 122, 183, 0.4);
	border-left: 10px solid rgba(51, 122, 183, 0.2);
	border-radius: 50%;
	width: 50px;
	height: 50px;
	animation: spin 0.25s linear infinite;
}

/* LOGO */
img.logo-top {
	height: 2rem;
}
